> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Lien Submission Attachment Item Attachment

> Upload attachments for a specific lien filing submission.

This endpoint allows users to upload one or more PDF attachments to a lien filing submission.
The attachments can include documents supporting the lien claim.



## OpenAPI

````yaml /api-reference/openapi.json post /lien_submissions/{filing_id}/attachments
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /lien_submissions/{filing_id}/attachments:
    post:
      tags:
        - Lien Filing
      summary: Upload Lien Submission Attachment Item Attachment
      description: >-
        Upload attachments for a specific lien filing submission.


        This endpoint allows users to upload one or more PDF attachments to a
        lien filing submission.

        The attachments can include documents supporting the lien claim.
      operationId: >-
        upload_lien_submission_attachment_item_attachment_lien_submissions__filing_id__attachments_post
      parameters:
        - name: filing_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Lien Filing ID
            description: The unique identifier of the lien filing submission.
          description: The unique identifier of the lien filing submission.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_lien_submission_attachment_item_attachment_lien_submissions__filing_id__attachments_post
      responses:
        '201':
          description: The lien filing attachments have been successfully uploaded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/v1.LienFilingAttachment'
                title: >-
                  Response Upload Lien Submission Attachment Item Attachment
                  Lien Submissions  Filing Id  Attachments Post
        '404':
          description: The lien filing document does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
                title: ResourceNotFound
                description: Could not locate the resource for the given URI.
                examples:
                  - code: 1
                    message: Could not locate the resource for the given URI.
                    metadata: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    Body_upload_lien_submission_attachment_item_attachment_lien_submissions__filing_id__attachments_post:
      properties:
        attachments:
          items:
            type: string
            contentMediaType: application/octet-stream
          type: array
          title: Lien Filing Attachments
          description: >-
            A list of files to be attached to the lien filing submission. These
            can include documents supporting the lien claim.
      type: object
      required:
        - attachments
      title: >-
        Body_upload_lien_submission_attachment_item_attachment_lien_submissions__filing_id__attachments_post
    v1.LienFilingAttachment:
      description: >-
        Part of the lien filing submission response and /attachments management
        endpoints.

        This is included in the response when filing a lien with attachments or
        managing attachment files.
      properties:
        id:
          description: The unique identifier of the lien filing attachment.
          format: uuid
          title: Attachment ID
          type: string
        document_filename:
          description: >-
            The filename of the document associated with this lien filing
            attachment.
          examples:
            - lien_document.pdf
            - attachment_001.pdf
            - contract_agreement.pdf
          maxLength: 256
          title: Attachment Filename
          type: string
      required:
        - id
        - document_filename
      title: LienFilingAttachment (v1)
      type: object
    APIError:
      properties:
        code:
          type: integer
          title: Code
        message:
          type: string
          title: Message
        uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Uri
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - code
        - message
      title: APIError
      description: >-
        APIError is a Pydantic model for standardizing error responses from the
        API.


        This class is used internally by APIException for JSON serialization.

        Users should typically work with APIException directly in exception
        catalogs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````